#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configureappletbase.ui'
**
** Created: Sat Jan 27 15:02:41 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configureappletbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigureAppletBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ConfigureAppletBase::ConfigureAppletBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ConfigureAppletBase" );
    setMinimumSize( QSize( 400, 300 ) );
    setMaximumSize( QSize( 400, 300 ) );
    setSizeGripEnabled( TRUE );
    ConfigureAppletBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ConfigureAppletBaseLayout"); 

    tabWidget = new QTabWidget( this, "tabWidget" );

    Widget2 = new QWidget( tabWidget, "Widget2" );

    QWidget* privateLayoutWidget = new QWidget( Widget2, "layout3" );
    privateLayoutWidget->setGeometry( QRect( 11, 4, 346, 200 ) );
    layout3 = new QVBoxLayout( privateLayoutWidget, 11, 6, "layout3"); 

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel1 = new QLabel( privateLayoutWidget, "textLabel1" );
    layout2->addWidget( textLabel1 );

    edDirectory = new QLineEdit( privateLayoutWidget, "edDirectory" );
    layout2->addWidget( edDirectory );

    btnSelectDir = new QPushButton( privateLayoutWidget, "btnSelectDir" );
    layout2->addWidget( btnSelectDir );
    layout3->addLayout( layout2 );
    tabWidget->insertTab( Widget2, QString::fromLatin1("") );

    Widget3 = new QWidget( tabWidget, "Widget3" );

    chkEnableCdemu = new QCheckBox( Widget3, "chkEnableCdemu" );
    chkEnableCdemu->setGeometry( QRect( 10, 10, 170, 21 ) );

    chkOnlyLoad = new QCheckBox( Widget3, "chkOnlyLoad" );
    chkOnlyLoad->setEnabled( FALSE );
    chkOnlyLoad->setGeometry( QRect( 10, 40, 170, 21 ) );
    tabWidget->insertTab( Widget3, QString::fromLatin1("") );

    ConfigureAppletBaseLayout->addWidget( tabWidget, 0, 1 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    ConfigureAppletBaseLayout->addMultiCellLayout( Layout1, 1, 1, 0, 1 );
    languageChange();
    resize( QSize(400, 300).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( buttonHelp, SIGNAL( clicked() ), this, SLOT( slotInvokeHelp() ) );
    connect( btnSelectDir, SIGNAL( clicked() ), this, SLOT( slotSelectDir() ) );
    connect( chkEnableCdemu, SIGNAL( stateChanged(int) ), this, SLOT( slotChangeUseCdemu(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigureAppletBase::~ConfigureAppletBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigureAppletBase::languageChange()
{
    setCaption( tr2i18n( "Configure Disc's Image Manager..." ) );
    textLabel1->setText( tr2i18n( "Base Directory" ) );
    edDirectory->setText( tr2i18n( "/media/vcd" ) );
    btnSelectDir->setText( tr2i18n( "..." ) );
    btnSelectDir->setAccel( QKeySequence( QString::null ) );
    tabWidget->changeTab( Widget2, tr2i18n( "&General" ) );
    chkEnableCdemu->setText( tr2i18n( "Enable use device cdemu" ) );
    chkOnlyLoad->setText( tr2i18n( "Only load image in drive" ) );
    tabWidget->changeTab( Widget3, tr2i18n( "Cdemu" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "C&ancel" ) );
    buttonCancel->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
}

void ConfigureAppletBase::slotInvokeHelp()
{
    qWarning( "ConfigureAppletBase::slotInvokeHelp(): Not implemented yet" );
}

void ConfigureAppletBase::slotSelectDir()
{
    qWarning( "ConfigureAppletBase::slotSelectDir(): Not implemented yet" );
}

void ConfigureAppletBase::slotChangeUseCdemu(int)
{
    qWarning( "ConfigureAppletBase::slotChangeUseCdemu(int): Not implemented yet" );
}

#include "configureappletbase.moc"
