/***************************************************************************
 *   Copyright (C) 2007 by victor perez   *
 *   intirruphay@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "imageitem.h"

ImageItem::ImageItem()
{
    a_cdemuNum = "-1";
    a_options="";
}


ImageItem::~ImageItem()
{
}

ImageItem::Sts_Image ImageItem::status()
{
    return a_sts;
}


/*!
    \fn ImageItem::status()
 */
bool ImageItem::isMounted()
{
    if (a_sts == IMG_MOUNTED||a_sts == IMG_CDEMU_MOUNTED)
        return true;
    return false;
}


/*!
    \fn ImageItem::changeStatus()
 */
void ImageItem::changeStatus()
{
    if(a_sts == IMG_MOUNTED){
        a_sts =IMG_UMOUNTED;
    }else{
        a_sts = IMG_MOUNTED;
    }
}

void ImageItem::setStatus( ImageItem::Sts_Image sts)
{
    a_sts=sts;
}

bool ImageItem::isUseCdemu()
{
    if(a_device.compare("cdemu")==0)
        return true;
    else
        return false;
}

