/***************************************************************************
 *   Copyright (C) 2007 by victor perez   *
 *   intirruphay@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <qlineedit.h>
#include <klocale.h>

#include "propertiesimp.h"

PropertiesImp::PropertiesImp(ImageItem* it, QWidget* parent, const char* name, bool modal, WFlags fl)
: properties(parent,name, modal,fl)
{
    edName->setText(it->name());
    edType->setText(it->type());
    edPointMount->setText(it->pointMount());
    edDevice->setText(it->device());
    if (it->isMounted())
        edStatus->setText(i18n("Mounted"));
    else
        edStatus->setText(i18n("Unmounted"));
}

PropertiesImp::~PropertiesImp()
{
}


#include "propertiesimp.moc"


