/***************************************************************************
 *   Copyright (C) 2007 by victor perez   *
 *   intirruphay@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PROCESSCOMUNICATOR_H
#define PROCESSCOMUNICATOR_H

#include <qthread.h>
#include <qobject.h>

#include <kprocess.h>

/**
	@author victor perez <victor@pig.com.pe>
*/
class ProcessComunicator : public QObject, public QThread
{
    Q_OBJECT
public:
    ProcessComunicator(KProcess*);

    ~ProcessComunicator();
    virtual void run();
    bool getResult();
    void stoppingAll();
public slots:
    void slotLeendoDatos(KProcess*,char*,int);
    void slotLeendErr(KProcess*, char*,int);
    void slotComandoEjecutado(KProcess*);
private:
    KProcess *a_proc;
    bool      a_result;
};

#endif
