/***************************************************************************
 *   Copyright (C) 2007 by victor perez   *
 *   intirruphay@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef VCDMANAGERDATA_H
#define VCDMANAGERDATA_H

#include <qstring.h>

class KConfig;
class CoreManager;
/**
	@author victor perez <intirruphay@gmail.com>
*/
class VcdManagerData{
public:
    VcdManagerData(CoreManager*);

    ~VcdManagerData();
    bool isUseCdemu(){return a_useCdemu;}
    void setUseCdemu(bool e){a_useCdemu=e;}
    QString directory(){return a_baseDirectory;}
    void setDirectory(QString dir){a_baseDirectory=dir;}
    void writeConfig();
    void readConfig();
    bool isOnlyLoadImageCdemu(){return a_onlyLoad;}
    void setOnlyLoadImageCdemu(bool v){a_onlyLoad=v;}

private:
    bool    a_useCdemu;
    bool    a_onlyLoad;
    QString a_baseDirectory;
    CoreManager *a_core;
};

#endif
